Cards
Activate physical card
POST
https://api.firstleeward.com/v0/cards/:id/activateActivates a physical card using the 6-digit activation code from the card mailer. Use GET /cards/:id/activation-code only when the cardholder has lost the code that came with the card packaging.
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Path Parameters
idstring<uuid>requiredBody
application/json
activationCodestringrequiredThe 6-digit activation code from the card mailer. Use GET /cards/:id/activation-code only if the code was lost.
Response
204Response for status 204
400Response for status 400
Option 1 · CardCannotBeActivatedError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequiredOption 2 · InvalidActivationCodeError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired404Card not found
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired